当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 16 篇帖子 ]  前往页数 1, 2  下一页
作者 内容
1 楼 
 文章标题 : UBUNTU 8。04 AMD (64BIT)不能安装wine! 急救!!!!
帖子发表于 : 2008-05-13 14:19 
头像

注册: 2008-04-29 17:53
帖子: 41
送出感谢: 0 次
接收感谢: 0 次
我用的是UBUNTU 8。04 AMD (64BIT),我不能安装WINE,用sudo apt-get install wine不行,我去wine的官方网站去下了最新的安装包安装时候,不能编译安装!是司马问题阿!我都要崩溃了!我的朋友是UBUNTU8。04普通的版本就可以用sudo apt-get install wine安装!




以下是出 错误的代码


代码:
jcoco@jcoco-laptop:~$ sudo apt-get install wine
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
Reading state information... 完成     
有一些软件包无法被安装。如果您用的是不稳定(unstable)发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们还在新到(incoming)目录中。

您仅要求对单一软件包进行操作,这极有可能是因为该软件包安装不上,同时,
您最好提交一个针对这个软件包的故障报告。
下列的信息可能会对解决问题有所帮助:

下列的软件包有不能满足的依赖关系:
  wine: 依赖: ia32-libs (>= 1.6) 但是它将不会被安装
        依赖: lib32asound2 (> 1.0.14) 但是它将不会被安装
        依赖: libc6-i386 (>= 2.6-1) 但是它将不会被安装
E: 无法安装的软件包


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-05-13 14:22 

注册: 2006-03-10 15:10
帖子: 3182
地址: xi'an China
送出感谢: 0 次
接收感谢: 2
你的源设对没?这个很关键


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-05-13 16:15 

注册: 2008-05-13 16:12
帖子: 5
送出感谢: 0 次
接收感谢: 0 次
我觉得是缺少错误信息中提示的文件包,重装一下试试。
ia32-libs 、lib32asound2 、 libc6-i386
可以下载deb安装


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-05-13 16:20 

注册: 2006-03-10 15:10
帖子: 3182
地址: xi'an China
送出感谢: 0 次
接收感谢: 2
phenixsong 写道:
我觉得是缺少错误信息中提示的文件包,重装一下试试。
ia32-libs 、lib32asound2 、 libc6-i386
可以下载deb安装

如果源没问题的话,依赖的包会自动装上的


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-05-13 18:34 

注册: 2008-03-30 8:15
帖子: 34
地址: 福建
送出感谢: 0 次
接收感谢: 0 次
应该是源的问题,CN99的源用那个命令装不了。


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2008-05-15 14:12 

注册: 2008-05-15 13:44
帖子: 8
送出感谢: 0 次
接收感谢: 0 次
自己编译吧~ 源里和外边下载下来的 deb包大部分都是 i386的 ~


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2008-05-15 19:04 

注册: 2008-05-15 18:37
帖子: 16
送出感谢: 0 次
接收感谢: 0 次
你用新立得来安装,他会帮wine所需的依赖自动安装好的


_________________
世界之大,无奇不有!


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2008-05-16 14:33 

注册: 2007-02-27 0:43
帖子: 190
送出感谢: 0 次
接收感谢: 0 次
#欧洲官方源服务器
deb http://archive.ubuntu.com/ubuntu/ hardy main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ hardy-security main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ hardy-updates main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ hardy-proposed main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ hardy-backports main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ hardy main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ hardy-security main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ hardy-updates main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ hardy-proposed main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ hardy-backports main restricted universe multiverse

加上这个~


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2008-05-16 15:16 
头像

注册: 2008-04-29 17:53
帖子: 41
送出感谢: 0 次
接收感谢: 0 次
dbzhang800 写道:
你的源设对没?这个很关键

我已经换了欧洲的源了!还是出现同样的错误!而且我在新立得里直接搜WINE安装时候也是提示依赖关系不对!
说 几个不能被安装 跟我发的内容的一样![/quote]


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2008-05-22 13:54 
头像

注册: 2008-04-03 11:51
帖子: 38
送出感谢: 0 次
接收感谢: 0 次
关注


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2008-06-04 20:54 

注册: 2008-06-02 21:38
帖子: 8
送出感谢: 0 次
接收感谢: 0 次
放心吧 100%源有问题,换源后要运行apt-get update一下,换台湾的源好些。


页首
 用户资料  
 
12 楼 
 文章标题 :
帖子发表于 : 2008-06-04 21:09 
头像

注册: 2005-08-01 9:14
帖子: 3666
送出感谢: 0 次
接收感谢: 0 次
肯定是源的问题


_________________
Gedanken ohne Inhalt sind leer .Anschauungen ohne Begriffe sind blind.


页首
 用户资料  
 
13 楼 
 文章标题 :
帖子发表于 : 2008-06-06 15:03 

注册: 2007-11-07 22:57
帖子: 15
送出感谢: 0 次
接收感谢: 0 次
应该不是源的问题,我的也是ubuntu 8.04, amd64,可以用deb安装wine,但是无法编译。


页首
 用户资料  
 
14 楼 
 文章标题 :
帖子发表于 : 2008-06-06 15:05 
头像

注册: 2006-07-02 11:16
帖子: 12522
地址: 廣州
送出感谢: 0 次
接收感谢: 8
Freeland2008 写道:
应该不是源的问题,我的也是ubuntu 8.04, amd64,可以用deb安装wine,但是无法编译。


LZ 用的不就是deb嘛...

wine 在 amd64 下的编译要用特殊方法, 见 wine 的 wiki


_________________
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。


页首
 用户资料  
 
15 楼 
 文章标题 :
帖子发表于 : 2008-06-06 15:30 

注册: 2007-11-07 22:57
帖子: 15
送出感谢: 0 次
接收感谢: 0 次
BigSnake.NET 写道:
Freeland2008 写道:
应该不是源的问题,我的也是ubuntu 8.04, amd64,可以用deb安装wine,但是无法编译。


LZ 用的不就是deb嘛...

wine 在 amd64 下的编译要用特殊方法, 见 wine 的 wiki


wine官方wiki?


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 16 篇帖子 ]  前往页数 1, 2  下一页

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译